Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002418Frama-CDocumentation > manualspublic2018-12-14 09:482019-07-16 12:10
Reporterjaseg 
Assigned Tosignoles 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C 18-Argon 
Target VersionFrama-C 20-CalciumFixed in VersionFrama-C 20-Calcium 
Summary0002418: Outdated -rte-all option in RTE manual
DescriptionThe frama-c v18.0 RTE manual[1] linked from the RTE website[0] in ch. 3 claims RTE has options -rte-all and -rte-no-all that the actual command line tool does not seem to recognize. I guess this is just outdated info. Note that the option is also mentioned in the text which I guess would have to be updated as well. Thanks for the great work, jaseg [0] https://frama-c.com/rte.html [1] https://frama-c.com/download/frama-c-rte-manual.pdf
Steps To Reproduce(this is one of the example command lines from the manual) > dev~/r/l/src <3 frama-c -rte -rte-select f,g -rte-all -rte-mem > [kernel] User Error: option `-rte-all' is unknown. > use `frama-c -help' for more information. > [kernel] Frama-C aborted: invalid user input. > dev~/r/l/src <3 frama-c -v > 18.0 (Argon)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006733)
signoles (manager)
2019-01-15 10:30

Indeed options -rte-all and -rte-no-all has been removed from Frama-C Phosphorus (released in May 2017) . The RTE manual should (and will) be updated accordingly.

- Issue History
Date Modified Username Field Change
2018-12-14 09:48 jaseg New Issue
2019-01-15 10:30 signoles Note Added: 0006733
2019-01-15 10:30 signoles Assigned To => signoles
2019-01-15 10:30 signoles Status new => acknowledged
2019-01-15 10:30 signoles Target Version => Frama-C 19-Potassium
2019-07-16 12:10 signoles Status acknowledged => resolved
2019-07-16 12:10 signoles Resolution open => fixed
2019-07-16 12:10 signoles Fixed in Version => Frama-C 20-Calcium
2019-07-16 12:10 signoles Target Version Frama-C 19-Potassium => Frama-C 20-Calcium


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker